Topic: libssh2 pour CentOS 7

Bonjour Remi,

J'utilise actuellement ton repo pour installer PHP 8.1 sur CentOS 7 (pas moyen d'upgrader l'OS pour le moment).

Il se trouve que la version disponible pour EL7 de libssh2 est la 1.8 actuellement, et on aurai besoin de la 1.9 (voire même 1.10) car elle comporte des bugfixes SFTP dont on a besoin quand on utilise le binding php-pecl-ssh2 https://www.libssh2.org/changes.html.

J'ai vu que tu as pu compiler une version spéciale de la 1.8 pour Amazon pour EL7.

Est-ce qu'il serait possible que tu puisse fournir cette nouvelle version 1.9/1.10 pour EL7 ?
Si pas possible pour une quelconque raison, est-ce que tu peux me guider pour compiler moi-même avec les mêmes flags et options pour en faire un package ?

Merci d'avance,

hegyre

Re: libssh2 pour CentOS 7

Tu utilise une version qui a 8 ans et veut les dernières fonctionalités.... (php 8.1, libssh2 1.10...) alors que dessus tout est vieux.... trop vieux...

Franchement, maintenir cela devient une vraie gageure

https://twitter.com/RemiCollet/status/9 … 4441738240
(c'était il y a 5 and pour EL-6, mais c'est valable aujourd'hui pour EL-7)

EL-7 fournit la 1.8
EL-8 fournit la 1.9 (dans EPEL)
EL-9 fournit la 1.10 (dans EPEL)

Je recommande vraiment d'utiliser une distribution moderne pour avoir les outils modernes.

Je regarderais ce qui est faisable si je trouve un peu de temps

Merci d'ouvrir un ticket de suivi sur https://github.com/remicollet/remirepo/issues

Desktop: Fedora 35 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 36 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi

Re: libssh2 pour CentOS 7

Merci Remi pour ta réponse!

En effet il est vrai que la version que j'utilise est (très) vieille, mais cela ne dépend pas de moi malheureusement. La discussion de migrer vers telle ou tell distribution est toujours ouverte, mais entre-temps il faut bien faire tourner les apps et fixer les security updates comme il se doit... Ce n'est pas d'ailleurs une des raisons qui fait que tu vas proposer PHP 8.2 sur /7/ ? Mais je me trompe peut-être.

En tout cas, j'ai ouvert une issue #212 comme demandé.
J'espère que ce vieux singe (si j'ose) pourra trouver un peu de temps à m'accorder wink

Re: libssh2 pour CentOS 7

Je ne peux que te remercier pour le temps que tu as pris cette après-midi pour faire cette update en express !

Je testerai l'install cette semaine sous PHP 7.4 et 8.1 et te donnerais un feedback sous peu !